---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: firefly-iii-data-importer
spec:
  selector:
    matchLabels:
      container: firefly-iii-data-importer
  template:
    metadata:
      labels:
        container: firefly-iii-data-importer
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: APP_DEBUG
          value: 'false'
        - name: APP_ENV
          value: local
        - name: FIREFLY_III_ACCESS_TOKEN
          value: ''
        - name: FIREFLY_III_CLIENT_ID
          value: '0'
        - name: FIREFLY_III_URL
          value: ''
        - name: LOG_CHANNEL
          value: stack
        - name: LOG_LEVEL
          value: info
        - name: TRUSTED_PROXIES
          value: '**'
        - name: TZ
          value: UTC
        - name: VERIFY_TLS_SECURITY
          value: 'false'
        image: fireflyiii/data-importer:version-1.5.6
        name: firefly-iii-data-importer
        volumeMounts: []

